import { constructConfigPath } from "../core/eslint/getFileUtils";
import {
  checkIfFileExists,
  readFileContents,
  writeFileContents,
} from "../utils/fileUtils";
import { Logger } from "../utils/logger";
import path from "path";

/**
 * @function setupDefaultConfiguration -  starts initial setup configuration
 * @returns {void}
 */

function setupDefaultConfiguration() {
  const configPath = constructConfigPath();
  const sampleConfigPath = path.join(__dirname, "sampleLint.config.js");
  if (checkIfFileExists(configPath) && typeof require(configPath) == "object") {
    Logger.log(Logger.INFO_TYPE, `configuration file already exist`);
    Logger.log(Logger.SUCCESS_TYPE, `configuration done .. `);
    process.exit(0);
  }
  writeFileContents(configPath, readFileContents(sampleConfigPath));
  Logger.log(Logger.SUCCESS_TYPE, `configuration done .. `);
}

export { setupDefaultConfiguration };
